# manifold – get credentials from Manifold.co

New in version 2.8.

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- Retrieves resources’ credentials from Manifold.co

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
_terms list / elements=string |  |  | Optional list of resource labels to lookup on Manifold.co. If no resources are specified, all matched resources will be returned.
api_token string / required |  | env:MANIFOLD_API_TOKEN | manifold API token
project string |  |  | The project label you want to get the resource for.
team string |  |  | The team label you want to get the resource for.

## Examples

    - name: all available resources
      debug: msg="{{ lookup('manifold', api_token='SecretToken') }}"
    - name: all available resources for a specific project in specific team
      debug: msg="{{ lookup('manifold', api_token='SecretToken', project='poject-1', team='team-2') }}"
    - name: two specific resources
      debug: msg="{{ lookup('manifold', 'resource-1', 'resource-2') }}"

## Return Values

Common return values are documented here, the following are the fields unique to this lookup:

Key | Returned | Description
--- | --- | ---
_raw dictionary |  | dictionary of credentials ready to be consumed as environment variables. If multiple resources define the same environment variable(s), the last one returned by the Manifold API will take precedence.

## Status

- This lookup is not guaranteed to have a backwards compatible interface. [preview]

- This lookup is maintained by the Ansible Community. [community]

### Authors

- Kyrylo Galanov (galanoff@gmail.com)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.